public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ian Delaney" <idella4@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/mpv/, media-video/mpv/files/
Date: Mon, 28 Dec 2015 13:27:47 +0000 (UTC)	[thread overview]
Message-ID: <1451306844.075cacd6224fc94f2cbd2be393d626626dc95dd2.idella4@gentoo> (raw)

commit:     075cacd6224fc94f2cbd2be393d626626dc95dd2
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Tue Dec 22 23:08:10 2015 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 12:47:24 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=075cacd6

media-video/mpv: revbump 0.11.0 to receive recent live ebuild changes

This requires a small upstream patch to fix include in tests.

Package-Manager: portage-2.2.24

 .../mpv/files/mpv-fix-include-in-tests.patch       |  17 ++
 media-video/mpv/mpv-0.11.0-r1.ebuild               | 284 +++++++++++++++++++++
 2 files changed, 301 insertions(+)

diff --git a/media-video/mpv/files/mpv-fix-include-in-tests.patch b/media-video/mpv/files/mpv-fix-include-in-tests.patch
new file mode 100644
index 0000000..b020119
--- /dev/null
+++ b/media-video/mpv/files/mpv-fix-include-in-tests.patch
@@ -0,0 +1,17 @@
+commit 867334395765ae7d2765e0834f9fd3dd5de53cab
+Author: Ilya Tumaykin <itumaykin@gmail.com>
+Date:   Tue Dec 22 17:10:12 2015 +0300
+
+    tests: fix #include
+
+diff --git a/test/gl_video.c b/test/gl_video.c
+index 253ab35..97fee94 100644
+--- a/test/gl_video.c
++++ b/test/gl_video.c
+@@ -1,5 +1,5 @@
+ #include "test_helpers.h"
+-#include "video/out/gl_video.h"
++#include "video/out/opengl/video.h"
+ 
+ static void test_scale_ambient_lux_limits(void **state) {
+     float x;

diff --git a/media-video/mpv/mpv-0.11.0-r1.ebuild b/media-video/mpv/mpv-0.11.0-r1.ebuild
new file mode 100644
index 0000000..dc450c2
--- /dev/null
+++ b/media-video/mpv/mpv-0.11.0-r1.ebuild
@@ -0,0 +1,284 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_REQ_USE='threads(+)'
+
+WAF_PV='1.8.12'
+
+inherit eutils fdo-mime gnome2-utils pax-utils python-any-r1 waf-utils
+
+DESCRIPTION="Media player based on MPlayer and mplayer2"
+HOMEPAGE="https://mpv.io/"
+
+if [[ ${PV} != *9999* ]]; then
+	SRC_URI="https://github.com/mpv-player/mpv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux"
+	DOCS=( RELEASE_NOTES )
+else
+	EGIT_REPO_URI="https://github.com/mpv-player/mpv.git"
+	inherit git-r3
+fi
+SRC_URI+=" https://waf.io/waf-${WAF_PV}"
+DOCS+=( README.md etc/example.conf etc/input.conf )
+
+# See Copyright in source tarball and bug #506946. Waf is BSD, libmpv is ISC.
+LICENSE="GPL-2+ BSD ISC"
+SLOT="0"
+# Here 'opengl' stands for GLX, 'egl' stands for any EGL-based output
+IUSE="+alsa archive bluray cdda +cli doc drm dvb +dvd egl +enca encode +iconv
+	jack jpeg lcms +libass libav libcaca libguess libmpv lua luajit openal
+	+opengl oss pulseaudio pvr raspberry-pi rubberband samba sdl selinux test
+	uchardet v4l vaapi vdpau vf-dlopen wayland +X xinerama +xscreensaver xv"
+
+REQUIRED_USE="
+	|| ( cli libmpv )
+	egl? ( || ( X wayland ) )
+	enca? ( iconv )
+	lcms? ( || ( opengl egl ) )
+	libguess? ( iconv )
+	luajit? ( lua )
+	opengl? ( X )
+	pvr? ( v4l )
+	uchardet? ( iconv )
+	v4l? ( || ( alsa oss ) )
+	vaapi? ( X )
+	vdpau? ( X )
+	wayland? ( egl )
+	xinerama? ( X )
+	xscreensaver? ( X )
+	xv? ( X )
+"
+
+COMMON_DEPEND="
+	!libav? ( >=media-video/ffmpeg-2.4.0:0=[encode?,threads,vaapi?,vdpau?] )
+	libav? ( >=media-video/libav-11:0=[encode?,threads,vaapi?,vdpau?] )
+	sys-libs/zlib
+	alsa? ( >=media-libs/alsa-lib-1.0.18 )
+	archive? ( >=app-arch/libarchive-3.0.0:= )
+	bluray? ( >=media-libs/libbluray-0.3.0 )
+	cdda? ( dev-libs/libcdio-paranoia )
+	drm? ( x11-libs/libdrm )
+	dvb? ( virtual/linuxtv-dvb-headers )
+	dvd? (
+		>=media-libs/libdvdnav-4.2.0
+		>=media-libs/libdvdread-4.1.0
+	)
+	egl? ( media-libs/mesa[egl,wayland(-)?] )
+	iconv? (
+		virtual/libiconv
+		enca? ( app-i18n/enca )
+		libguess? ( >=app-i18n/libguess-1.0 )
+		uchardet? ( dev-libs/uchardet )
+	)
+	jack? ( media-sound/jack-audio-connection-kit )
+	jpeg? ( virtual/jpeg:0 )
+	lcms? ( >=media-libs/lcms-2.6:2 )
+	libass? (
+		>=media-libs/libass-0.12.1:=[fontconfig,harfbuzz]
+		virtual/ttf-fonts
+	)
+	libcaca? ( >=media-libs/libcaca-0.99_beta18 )
+	lua? (
+		!luajit? ( || ( =dev-lang/lua-5.1*:= =dev-lang/lua-5.2*:= ) )
+		luajit? ( dev-lang/luajit:2 )
+	)
+	openal? ( >=media-libs/openal-1.13 )
+	pulseaudio? ( media-sound/pulseaudio )
+	rubberband? ( >=media-libs/rubberband-1.8.0 )
+	samba? ( net-fs/samba )
+	sdl? ( media-libs/libsdl2[sound,threads,video,X?,wayland?] )
+	v4l? ( media-libs/libv4l )
+	wayland? (
+		>=dev-libs/wayland-1.6.0
+		>=x11-libs/libxkbcommon-0.3.0
+	)
+	X? (
+		x11-libs/libX11
+		x11-libs/libXext
+		>=x11-libs/libXrandr-1.2.0
+		opengl? (
+			x11-libs/libXdamage
+			virtual/opengl
+		)
+		vaapi? ( >=x11-libs/libva-1.2.0[X] )
+		vdpau? ( >=x11-libs/libvdpau-0.2 )
+		xinerama? ( x11-libs/libXinerama )
+		xscreensaver? ( x11-libs/libXScrnSaver )
+		xv? ( x11-libs/libXv )
+	)
+"
+DEPEND="${COMMON_DEPEND}
+	${PYTHON_DEPS}
+	>=dev-lang/perl-5.8
+	dev-python/docutils
+	virtual/pkgconfig
+	doc? ( dev-python/rst2pdf )
+	test? ( >=dev-util/cmocka-1.0.0 )
+"
+RDEPEND="${COMMON_DEPEND}
+	selinux? ( sec-policy/selinux-mplayer )
+"
+
+pkg_pretend() {
+	if ! use libass; then
+		ewarn "You have disabled the libass support."
+		ewarn "OSD and subtitles won't be available."
+	fi
+
+	if use openal; then
+		ewarn "You have enabled the openal audio output. Be warned that"
+		ewarn "this output is considered experimental by upstream."
+	fi
+
+	if use sdl; then
+		ewarn "You have enabled the sdl video and audio outputs. Note that"
+		ewarn "upstream provides these outputs for compatibility reasons only."
+		ewarn "You probably don't need them under the normal circumstances."
+	fi
+
+	if use libav; then
+		elog "You have enabled media-video/libav instead of media-video/ffmpeg."
+		elog "Upstream recommends media-video/ffmpeg, as some functionality"
+		elog "is not provided by media-video/libav."
+	fi
+
+	einfo "mpv optionally supports many different audio and video formats."
+	einfo "You will need to enable support for the desired formats in your"
+	einfo "libavcodec/libavformat provider:"
+	einfo "    media-video/ffmpeg or media-video/libav"
+}
+
+src_prepare() {
+	cp "${DISTDIR}/waf-${WAF_PV}" "${S}"/waf || die
+	chmod +x "${S}"/waf || die
+
+	epatch "${FILESDIR}/${PN}-fix-include-in-tests.patch"
+	epatch_user
+}
+
+src_configure() {
+	local mywafargs=(
+		--confdir="${EPREFIX}"/etc/${PN}
+		--docdir="${EPREFIX}"/usr/share/doc/${PF}
+
+		$(usex cli '' '--disable-cplayer')
+		$(use_enable libmpv libmpv-shared)
+
+		--disable-libmpv-static
+		--disable-static-build
+		--disable-build-date	# Create reproducible build
+		--disable-optimize		# Do not add '-O2' to CFLAGS
+		--disable-debug-build	# Do not add '-g' to CFLAGS
+
+		$(use_enable doc pdf-build)
+		$(use_enable vf-dlopen vf-dlopen-filters)
+		$(use_enable cli zsh-comp)
+		$(use_enable test)
+
+		$(use_enable iconv)
+		$(use_enable samba libsmbclient)
+		$(use_enable lua)
+		$(usex luajit '--lua=luajit' '')
+		$(use_enable libass)
+		$(use_enable libass libass-osd)
+		$(use_enable encode encoding)
+		$(use_enable bluray libbluray)
+		$(use_enable dvd dvdread)
+		$(use_enable dvd dvdnav)
+		$(use_enable cdda)
+		$(use_enable enca)
+		$(use_enable libguess)
+		$(use_enable uchardet)
+		$(use_enable rubberband)
+		$(use_enable lcms lcms2)
+		--disable-vapoursynth	# Only available in overlays
+		--disable-vapoursynth-lazy
+		$(use_enable archive libarchive)
+
+		--enable-libavfilter
+		--enable-libavdevice
+
+		# Audio outputs
+		$(use_enable sdl sdl2)	# Listed under audio, but also includes video
+		--disable-sdl1
+		$(use_enable oss oss-audio)
+		--disable-rsound		# Only available in overlays
+		$(use_enable pulseaudio pulse)
+		$(use_enable jack)
+		$(use_enable openal)
+		$(use_enable alsa)
+		--disable-coreaudio
+		--disable-dsound
+		--disable-wasapi
+
+		# Video outputs
+		--disable-cocoa
+		$(use_enable wayland)
+		$(use_enable X x11)
+		$(use_enable xscreensaver xss)
+		$(use_enable X xext)
+		$(use_enable xv)
+		$(use_enable xinerama)
+		$(use_enable X xrandr)
+		$(use_enable opengl gl-x11)
+		$(usex egl "$(use_enable X egl-x11)" '--disable-egl-x11')
+		$(use_enable wayland gl-wayland)
+		$(use_enable vdpau)
+		$(usex vdpau "$(use_enable opengl vdpau-gl-x11)" '--disable-vdpau-gl-x11')
+		$(use_enable vaapi)
+		$(use_enable vaapi vaapi-vpp)
+		$(usex vaapi "$(use_enable opengl vaapi-glx)" '--disable-vaapi-glx')
+		$(use_enable libcaca caca)
+		$(use_enable drm)
+		$(use_enable jpeg)
+		$(use_enable raspberry-pi rpi)
+
+		# HWaccels
+		$(use_enable vaapi vaapi-hwaccel)
+		# Automagic VDPAU HW acceleration. See Gentoo bug 558870.
+
+		# TV features
+		$(use_enable v4l tv)
+		$(use_enable v4l tv-v4l2)
+		$(use_enable v4l libv4l2)
+		$(use_enable v4l audio-input)
+		$(use_enable pvr)
+		$(use_enable dvb dvbin)
+	)
+	waf-utils_src_configure "${mywafargs[@]}"
+}
+
+src_install() {
+	waf-utils_src_install
+
+	if use cli && use luajit; then
+		pax-mark -m "${ED}usr/bin/${PN}"
+	fi
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	fdo-mime_desktop_database_update
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	fdo-mime_desktop_database_update
+	gnome2_icon_cache_update
+}
+
+src_test() {
+	cd "${S}"/build/test || die
+	for test in *; do
+		if [[ -x ${test} ]]; then
+			./"${test}" || die "Test suite failed"
+		fi
+	done
+}


             reply	other threads:[~2015-12-28 14:07 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-12-28 13:27 Ian Delaney [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-01-21  9:16 [gentoo-commits] repo/gentoo:master commit in: media-video/mpv/, media-video/mpv/files/ Patrice Clement
2016-03-10 21:51 Patrice Clement
2016-04-12 18:47 Patrice Clement
2016-04-25  7:45 Patrice Clement
2016-07-25 13:04 Patrice Clement
2016-12-28  0:18 Patrice Clement
2017-02-04 21:25 David Seifert
2017-12-17  3:30 Lars Wendler
2018-02-05 22:21 Thomas Deutschmann
2022-07-09  2:41 Sam James
2022-11-11  0:47 Ionen Wolkens
2023-07-23 15:22 Ionen Wolkens
2023-07-23 19:09 Ionen Wolkens
2023-08-03  6:45 Ionen Wolkens
2023-11-09 15:49 Ionen Wolkens
2024-04-05  3:13 Ionen Wolkens

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1451306844.075cacd6224fc94f2cbd2be393d626626dc95dd2.idella4@gentoo \
    --to=idella4@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox